<?php

     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tldocument_iso WHERE ftdocument_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Document sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
    $objAxpDB->ViewName("Daftar Document");
    $objAxpDB->ViewSQL("select fnid, ftdocument_code, ftdocument_name,  ftdocument_no from tldocument_iso ");
    $objAxpDB->ViewCaption("ID,Kode Document, Nama Document, No. Document ");

    $objAxpDB->FormName("Document");
    $objAxpDB->FormSQL("SELECT    ftdocument_code, ftdocument_name,  ftdocument_no from tldocument_iso");
    $objAxpDB->FormCaption("Kode Document, Nama Document, No. Document ");
    $objAxpDB->FormPosition("TL, TL,TL");
    

      
        $objAxpDB->SetStatus("id");
        if ($objAxpDB->GetStatus("id") == "")
                $objAxpDB->ButtonShow("baru, cetak_daftar, export_excel , tutup");
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->FormLocked("0, 0, 0");
                $objAxpDB->ButtonShow("reset, simpan, tutup");
        } elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->FormLocked("1, 0, 0");
                $objAxpDB->ButtonShow("update, hapus, tutup");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
	   
       
?>
